# Class MarkCombineArrayPlotter

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.AbstractPlotter<MarkCombineArrayPlotter.MarkCombineArrayStyle>
uk.ac.starlink.ttools.plot2.layer.CombineArrayPlotter<MarkCombineArrayPlotter.MarkCombineArrayStyle>
uk.ac.starlink.ttools.plot2.layer.MarkCombineArrayPlotter

All Implemented Interfaces:
  `Plotter<MarkCombineArrayPlotter.MarkCombineArrayStyle>`

public class MarkCombineArrayPlotter extends CombineArrayPlotter<MarkCombineArrayPlotter.MarkCombineArrayStyle>
CombineArrayPlotter that plots a marker at each aggregated position.

Since:
  25 Jan 2022
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`MarkCombineArrayPlotter.MarkCombineArrayStyle`
Style for use with this plotter.

### Nested classes/interfaces inherited from class CombineArrayPlotter

`CombineArrayPlotter.CombineArrayStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MarkCombineArrayPlotter`
`INSTANCE`
Sole instance of this class.
`static final ConfigKey<Integer>`
`SIZE_KEY`
Config key for marker size.

### Fields inherited from class CombineArrayPlotter

`XCOMBINER_KEY, XS_REPKEY, YCOMBINER_KEY, YS_REPKEY`

## Method Summary

Modifier and Type
Method
Description
`MarkCombineArrayPlotter.MarkCombineArrayStyle`
`createStyle(ConfigMap config)`
Creates a style that can be used when creating a plot layer.
`String`
`getPlotterDescription()`
Returns an XML description of this plotter.
`ConfigKey<?>[]`
`getStyleKeys()`
Returns the configuration keys used to configure style for this plotter.

### Methods inherited from class CombineArrayPlotter

`createLayer, getRangeStyleKey`

### Methods inherited from class AbstractPlotter

`getCoordGroup, getPlotterIcon, getPlotterName, hasReports`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final MarkCombineArrayPlotter INSTANCE
Sole instance of this class.

### SIZE_KEY

public static final ConfigKey<Integer> SIZE_KEY
Config key for marker size.

## Method Details

### getPlotterDescription

public String getPlotterDescription()
Description copied from interface: `Plotter`
Returns an XML description of this plotter.

Note: really this should appear at the LayerType level.

Returns:
  one or more <p> elements

### getStyleKeys

public ConfigKey<?>[] getStyleKeys()
Description copied from interface: `Plotter`
Returns the configuration keys used to configure style for this plotter. The keys in the return value are used in the map supplied to the `Plotter.createStyle(ConfigMap)` method.

Returns:
  keys used when creating a style for this plotter.

### createStyle

public MarkCombineArrayPlotter.MarkCombineArrayStyle createStyle(ConfigMap config)
Description copied from interface: `Plotter`
Creates a style that can be used when creating a plot layer. The keys that are significant in the supplied config map are those returned by `Plotter.getStyleKeys()`. The return value can be used as input to `Plotter.createLayer(DataGeom, DataSpec, S)`.

Parameters:
  `config` - map of style configuration items
Returns:
  plotter-specific plot style